{-------------------------------------------------------------}
{
{    Informaes sobre a placa me, trazida do HWMONITOR
{
{    Autor: Jose' Antonio Borges
{
{    Em 09/04/2008
{
{-------------------------------------------------------------}

unit hardmbrd;

interface

uses
  dvCrt,
  dvExec,
  dvWin,
  dvForm,
  dvMacro,
  windows,
  messages,
  classes,
  sysutils,
  hardmsg,
  minireg;


procedure infoPlacaMae;
procedure temperaturaEOutros;

implementation

var
    versaoHWMonit: string;
    dirDosvox: string;
    nomeProgHWMonit: string;

{-------------------------------------------------------------}
{                mostra informaes da placa me
{-------------------------------------------------------------}

procedure infoPlacaMae;
var
    sval: array [1..17] of shortString;
    baseReg: string;
    s: string;

    function rget (key: string): string;
    var s: string;
    begin
        RegGetString(HKEY_LOCAL_MACHINE, baseReg+key, s);
        result := s;
    end;

begin
    garanteEspacoTela(4);
    writeln;

    defineNovoTamanhoDeRotulos (30);
    formCria;

    baseReg := 'HARDWARE\DESCRIPTION\System\BIOS\';

    sval[1] := rget ('BaseBoardProduct');
    formCampo ('HVMODELO', pegaTextoMensagem('HVMODELO'), sval[1], 40);  // 'Modelo'

    sval[2] := rget ('BaseBoardManufacturer');
    formCampo ('HVFABRIC', pegaTextoMensagem('HVFABRIC'), sval[2], 40);    // 'Fabricante'

    sval[3] := rget ('BIOSVendor');
    formCampo ('HVFBCHIP', pegaTextoMensagem('HVFBCHIP'), sval[3], 40);   // 'Fabricante do Chip'

    formEdita(false);
    restauraTamanhoDeRotulos;

end;

{-------------------------------------------------------------}
{         mostra informaes dos circuitos de monitorao
{-------------------------------------------------------------}

procedure temperaturaEOutros;
begin
end;

end.

